import { ISurvey } from '../../models';
export type ISuccessState = {
    growthRunUrl: string;
    surveys?: Map<string, ISurvey>;
};
export type SuccessState = ISuccessState & {
    setSurveys: (surveys: Array<ISurvey>) => void;
    refreshSurveys: () => void;
    createSurvey: (name: string, form: any) => void;
};
export declare const surveysStore: import("zustand").StoreApi<SuccessState>;
export declare function useSurveysStore(): SuccessState;
export declare function useSurveysStore<T>(selector: (state: SuccessState) => T): T;
export default useSurveysStore;
